# Errors and Bad Requests

Errors or bad requests caught by the API will always return an appropriate HTTP status code in the response headers (as described in the [Response Status Codes](/v2/getting-started/response-status-codes.md) section), as well as a body containing details about the error occurred:

* `success` (bool) - Either `true` or `false`. In the event of an error, this will be `false`.
* `message` (string) - A description of the actual problem encountered

In the event of a user input validation failure, the following will be included in the response body:

* `validation_errors` (object) - A list of fields and the validation error message

Example error response body:

```json
{
    "success": false,
    "message": "Validation Failed",
    "validation_errors": {
        "accountable_person_id": "The accountable_person_id is invalid",
        "date": "The Date is not valid date format. Expected format is 'Y-m-d'."
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.d6plus.co.za/v2/getting-started/errors-and-bad-requests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
